%define upstream_name    HTML-Toc
%define upstream_version 1.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Generate, insert and update HTML Table of Contents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Parser)
BuildRequires: perl(Test::Differences)
BuildArch: noarch


%description
Generate, insert and update HTML Table of Contents (ToC).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-7.mga6
+ Revision: 1028388
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.120.0-6.mga6
+ Revision: 946474
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 749866
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-4.mga5
+ Revision: 684980
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-3.mga4
+ Revision: 512087
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 368176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 26350
- mageia rebuild
- imported package perl-HTML-Toc

